Vraag & Antwoord

OS Linux

Beta Linux kernel 2.6.0-test2 is uit

Anoniem
jolo
6 antwoorden
  • Voor degene die deze Beta Linux kernel 2.6.0-test1 van http://www.kernel.org/ willen testen. Ik heb 'm zelf gedownload vanaf ftp://ftp.nl.kernel.org/pub/linux/kernel/v2.6
  • En? Vertel! :)
  • Tja, ik heb besloten deze linux-2.6.0-test1 kernel te proberen in Slackware 9.0
    Ik heb alleen als extra ALSA PCI EMU10K1 (SB Live! & Audigy, E-mu APS) geselecteerd.
    [b:6e624496df] Make dep [/b:6e624496df] bleek overbodig
    [b:6e624496df] Make bzImage [/b:6e624496df] werkte zonder foutmelding
    [b:6e624496df] Make [/b:6e624496df]
    [code:1:6e624496df]
    <knip>
    drivers/char/riscom8.c:84: warning: parameter names (without types) in function declaration
    drivers/char/riscom8.c:135: confused by earlier errors, bailing out
    make[2]: *** [drivers/char/riscom8.o] Error 1
    make[1]: *** [drivers/char] Error 2
    make: *** [drivers] Error 2
    [/code:1:6e624496df]
    [b:6e624496df] make install [/b:6e624496df] geen foutmeldingen.
    [b:6e624496df] make modules [/b:6e624496df] Zelfde foutmelding als [b:6e624496df] make [/b:6e624496df]

    Er zijn dus problemen met [b:6e624496df] riscom8.o [/b:6e624496df] en dat bekijk ik morgen wel weer verder. :roll:
  • Zoals was te verwachten, klaagde make ook over andere kernel modules
    [code:1:a248189740]
    riscom8.o SDL RISCon/8 card support
    isicom.o
    esp.o
    specialix.o

    isdn_common.o (ISDN)

    drivers/media/video/zr36120.o
    zr36067.o Zoran ZR36067/36060 Video For Linux

    drivers/net/fc/iph5526.o
    drivers/net/wan/sdlamain.o
    sdlamain.o (Wan Interfaces)
    defxx.o

    drivers/scsi/pci2000.o
    pci2220i.o
    tmscsim.o CONFIG_SCSI_DC390T
    dpt_i2o.o
    AM53C974m.o
    cpqfcTSinit.o
    ini9100u.o CONFIG_SCSI_INITIO

    drivers/video/pm2fb.o CONFIG_FB_PM2
    pm3fb.o CONFIG_FB_PM3
    [/code:1:a248189740]
    Deze hele waslijst heb ik moeten uitzetten in [b:a248189740] /usr/src/linux-2.6.0-test1/.config [/b:a248189740] (sommige via make menuconfig)
    ISDN en Wan Interfaces heb volledig uitgezet. Mijn Dual Pentium III 1000 Mhz heeft deze hardware niet.
    [code:1:a248189740]
    make
    make modules
    [/code:1:a248189740] ging nu wel goed
    make modules_install
    [code:1:a248189740]<knip>
    depmod: *** Unresolved symbols in /lib/modules/2.6.0-test1/kernel/sound/synth/s$
    depmod: snd_kcalloc
    root@linux:/usr/src/linux-2.6.0-test1#
    [/code:1:a248189740] De kernel modules zijn geinstalleerd.

    Ook op LinuxQuestions.org zijn ze al bezig met de linux-2.6.0-test1 kernel.
  • De Beta Linux kernel 2.6.0-test1en de modules zijn dan wel geinstalleerd in Slackware 9.0 aleen kan er nog niet geboot worden met de nieuwe kernel. Ook modutils 2.4.25 heb ik al geinstalleerd.

    Tijdens het opstarten met grub verschijnt
    [code:1:6051d46e89]
    root (hd0,12)
    File system is ext2fs partition type 0x83
    kernel /boot/vmlinuz root=/dev/hda13 hdc=ide-scsi vga = 0301

    [Linux-bzImage, setup=0x1400, size=0x159ae8]

    Uncompressing Linux… OK, booting the kernel.
    [/code:1:6051d46e89]
    En verder gebeurde er niks.

    Ik heb ook nog de Beta Linux kernel 2.6.0-test1 geinstalleerd in Red Hat 9.0
    [code:1:6051d46e89]
    [root@dualpc RH9]# rpm -Uvh *.rpm
    warning: compat-db-4.0.14-2.i386.rpm: V3 DSA signature: NOKEY, key ID 897da07a
    warning: initscripts-7.28-1.i386.rpm: V3 DSA signature: NOKEY, key ID 9d6b4012
    Preparing… ########################################### [100%]
    1:modutils ########################################### [ 8%]
    2:db4 ########################################### [ 17%]
    3:initscripts warning: /etc/sysconfig/network-scripts/ifcfg-lo
    saved as /etc/sysconfig/network-scripts/ifcfg-lo.rpmsave
    ########################################### [ 25%]
    4:mkinitrd ########################################### [ 33%]
    5:kernel-smp ########################################### [ 42%]
    WARNING:
    /lib/modules/2.6.0-0.test1.1.26smp/kernel/drivers/char/agp/nvidia-agp.ko
    needs unknown symbol agp_memory_reserved
    6:compat-db ########################################### [ 50%]
    7:db4-devel ########################################### [ 58%]
    8:db4-java ########################################### [ 67%]
    9:db4-utils ########################################### [ 75%]
    10:kernel-doc ########################################### [ 83%]
    11:nfs-utils ########################################### [ 92%]
    12:oprofile ########################################### [100%]
    [/code:1:6051d46e89]
    In tegenstelling tot Slackware 9.0 start Red Hat 9.0 wel op met de beta kernel. Ook Gnome.
    [code:1:6051d46e89]
    $ uname -a
    Linux dualpc 2.6.0-0.test1.1.26smp #1 SMP Sat Jul 19 12:00:01 EDT 2003 i686
    i686 i386 GNU/Linux
    [/code:1:6051d46e89]

    lsmod ziet er wel anders uit.
    [code:1:6051d46e89]
    [root@dualpc root]# /sbin/lsmod
    Module Size Used by
    vfat 16192 -
    fat 48544 -
    sd_mod 15584 -
    lp 11716 -
    autofs 17056 -
    ne2k_pci 9184 -
    8390 10336 -
    crc32 4128 -
    ipt_REJECT 5792 -
    iptable_filter 2432 -
    ip_tables 17152 -
    floppy 61620 -
    parport_pc 27044 -
    parport 43848 -
    microcode 6272 -
    ide_scsi 15904 -
    scsi_mod 115680 -
    ide_cd 41956 -
    cdrom 35648 -
    ohci1394 34728 -
    ieee1394 222860 -
    mousedev 8632 -
    hid 64160 -
    usbcore 111612 -
    ext3 121352 -
    jbd 64152 -
    [/code:1:6051d46e89]
    USB werkt niet, er is geen usb-uhci en kan ook niet handmatig geladen worden.
    [code:1:6051d46e89]
    [root@dualpc root]# modprobe usb-uhci
    FATAL: Module usb_uhci not found.
    [/code:1:6051d46e89]
    De USB printer en USB zip drive worden niet getoont.
    [code:1:6051d46e89]
    [root@dualpc root]# dmesg | grep usb
    drivers/usb/core/usb.c: registered new driver usbfs
    drivers/usb/core/usb.c: registered new driver hub
    drivers/usb/core/usb.c: registered new driver hiddev
    drivers/usb/core/usb.c: registered new driver hid
    drivers/usb/input/hid-core.c: v2.0:USB HID core driver
    [/code:1:6051d46e89]
    De module voor mijn Creative Audigy1 zat er niet bij, maar kon wel geladen
    worden met: modprobe emu10k1
    Het geluid werkt. Getest met *.ogg file. en Nautun. Vol voor de voor speakers
    en ogain voor de achter speakers.


    Zijn er al anderen die de Beta Linux kernel 2.6.0-test1hebben geprobeerd? :roll:
  • Ik heb toen wel een van de laatste 2.5 kernels gedraaid en ik weet wel dat ik toen een nieuwe versie van modutils moest installeren en de nvidia drivers moest uitpakken en patchen om ze werkend te krijgen.
    Verder is het natuurlijk goed dat de alsa drivers gewoon in de kernel zitten.
    Oh en jolo, de emu10k1 module in alsa is standaard voor alle live kaarten (en ook audigy, etc.) omdat die vrijwel dezelfde processor aan boord hebben.

    Groetjes,
    Wilco

Beantwoord deze vraag

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.